public class IllegalArgumentExceptionExample {
   public static boolean isExceeded(int x) {
	   boolean result = false;
       if (x > 255) {
           throw new IllegalArgumentException("Value exceeds 255");
       } else {
    	   result = true;
       }
       return result;
   }
   public static void main(String[] args) {
	   int value = 270;
	   try {
		   // Assume, we deal with Grayscale value: 0-255
		   // Check the value's range  
		   if (isExceeded(value)) {
			   System.out.println(value + " is a valid Grayscale value");
		   }
	   } catch (IllegalArgumentException ie) {
		   System.out.println(value + " is an invalid Grayscale value");
		   System.out.println("Resetting the value to 255");
		   value = 255;
	   }
	   System.out.println("Continue processing the value...");
   }
}
